Pending operations

pendingRenew

A renewal is being processed.

EPP status
pendingRenew
RDAP status
pending renew
Set by
Registry system

What it means

The new expiry date applies once processing completes.

What you can do

Wait, or contact your registrar if the status does not clear.

Related codes

EPP statuses are defined in RFC 5731 and RFC 3915; RFC 8056 maps them to RDAP.